Bug 690875 - Adding platform summary portlet causes stack trace
Adding platform summary portlet causes stack trace
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon30-dashboard
  Show dependency treegraph
 
Reported: 2011-03-25 12:43 EDT by Corey Welton
Modified: 2011-10-04 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2011-03-25 12:43:57 EDT
Description of problem:

When user tries to add the platform summary portlet, a stacktrace is returned; it is also returned anytime user subsequently loads dashboard.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Add Platform Summary portlet to dashboard; observe
2.  Nav away from dashboard
3.  Return to dashboard
  
Actual results:
Upon initial addition and subsequent revisits to dashboard, user gets following error:

com.google.gwt.core.client.JavaScriptException:(TypeError): Cannot call method 'getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2' of null stack: TypeError: Cannot call method 'getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2' of null at com_smartgwt_client_widgets_grid_ListGridField_$setCellFormatter__Lcom_smartgwt_client_widgets_grid_ListGridField_2Lcom_smartgwt_client_widgets_grid_CellFormatter_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:23324:26) at org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet_$buildUI__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:86186:534) at Object.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$1_onSuccess__Ljava_lang_Object_2V [as onSuccess__Ljava_lang_Object_2V] (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:86360:199) at com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:9336:93) at Object.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V [as onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V] (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:140538:227) at com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:4458:14) at Object.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V [as onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V] (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:4682:215) at XMLHttpRequest. (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:12649:13) at com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2 (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:2486:27) at XMLHttpRequest.onreadystatechange (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:2475:12) arguments: getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2, type: non_object_property_call
--- STACK TRACE FOLLOWS ---
(TypeError): Cannot call method 'getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2' of null stack: TypeError: Cannot call method 'getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2' of null at com_smartgwt_client_widgets_grid_ListGridField_$setCellFormatter__Lcom_smartgwt_client_widgets_grid_ListGridField_2Lcom_smartgwt_client_widgets_grid_CellFormatter_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:23324:26) at org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet_$buildUI__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:86186:534) at Object.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$1_onSuccess__Ljava_lang_Object_2V [as onSuccess__Ljava_lang_Object_2V] (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:86360:199) at com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:9336:93) at Object.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V [as onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V] (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:140538:227) at com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:4458:14) at Object.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V [as onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V] (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:4682:215) at XMLHttpRequest. (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:12649:13) at com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2 (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:2486:27) at XMLHttpRequest.onreadystatechange (http://core-01.usersys.redhat.com:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/0670FFF15D995774DE6CCEC92677CD74.cache.html:2475:12) arguments: getJsObj__Lcom_google_gwt_core_client_JavaScriptObject_2, type: non_object_property_call
    at Unknown.com_smartgwt_client_widgets_grid_ListGridField_$setCellFormatter__Lcom_smartgwt_client_widgets_grid_ListGridField_2Lcom_smartgwt_client_widgets_grid_CellFormatter_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet_$buildUI__Lorg_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_dashboard_portlets_platform_PlatformSummaryPortlet$1_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.onreadystatechange(Unknown source:0)

Expected results:

No errors.

Additional info:
Comment 1 John Mazzitelli 2011-03-25 14:26:38 EDT
the platform summary portlet was fixed recently.
Comment 2 Mike Foley 2011-04-15 16:45:41 EDT
added and removed the platform utilization portlet several times.  no issues.
Comment 3 Corey Welton 2011-05-23 21:15:05 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:15:15 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:15:19 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:15:21 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.